Package org.apache.sling.testing.clients.query

# Enum QueryClient.QueryType

java.lang.Object
java.lang.Enum<QueryClient.QueryType>
org.apache.sling.testing.clients.query.QueryClient.QueryType

All Implemented Interfaces:
  `Serializable`, `Comparable<QueryClient.QueryType>`

Enclosing class:
  `QueryClient`

public static enum QueryClient.QueryType extends Enum<QueryClient.QueryType>
Query types, as defined in `org.apache.jackrabbit.oak.query.QueryEngineImpl`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JQOM`
`SQL`
`SQL2`
`XPATH`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static QueryClient.QueryType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QueryClient.QueryType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SQL2

public static final QueryClient.QueryType SQL2

### SQL

public static final QueryClient.QueryType SQL

### XPATH

public static final QueryClient.QueryType XPATH

### JQOM

public static final QueryClient.QueryType JQOM

## Method Details

### values

public static QueryClient.QueryType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static QueryClient.QueryType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<QueryClient.QueryType>`